JUCE: AccessibilityTableInterface Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
AccessibilityTableInterface Class Referenceabstract
juce_gui_basics » accessibility

An abstract interface which represents a UI element that supports a table interface. More...

`#include <juce_AccessibilityTableInterface.h>`

## Classes
struct | Span
| A simple span of elements. More...

## Public Member Functions
virtual | ~AccessibilityTableInterface ()=default
| Destructor.
virtual int | getNumRows () const =0
| Returns the total number of rows in the table.
virtual int | getNumColumns () const =0
| Returns the total number of columns in the table.
virtual const AccessibilityHandler * | getCellHandler (int row, int column) const =0
| Returns the AccessibilityHandler for one of the cells in the table, or nullptr if there is no cell at the specified position.
virtual const AccessibilityHandler * | getRowHandler (int row) const =0
| Returns the AccessibilityHandler for a row in the table, or nullptr if there is no row at this index.
virtual const AccessibilityHandler * | getHeaderHandler () const =0
| Returns the AccessibilityHandler for the header, or nullptr if there is no header.
virtual Optional< Span > | getRowSpan (const AccessibilityHandler &) const =0
| Given the handler of one of the cells in the table, returns the rows covered by that cell, or null if the cell does not exist in the table.
virtual Optional< Span > | getColumnSpan (const AccessibilityHandler &) const =0
| Given the handler of one of the cells in the table, returns the columns covered by that cell, or null if the cell does not exist in the table.
virtual void | showCell (const AccessibilityHandler &) const =0
| Attempts to scroll the table (if necessary) so that the cell with the given handler is visible.

## Detailed Description

An abstract interface which represents a UI element that supports a table interface.

Examples of UI elements which typically support a table interface are lists, tables, and trees.

## Constructor & Destructor Documentation

## ◆ ~AccessibilityTableInterface()

virtual AccessibilityTableInterface::~AccessibilityTableInterface | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ getNumRows()

virtual int AccessibilityTableInterface::getNumRows | ( |  | ) | const
| pure virtual

Returns the total number of rows in the table.

## ◆ getNumColumns()

virtual int AccessibilityTableInterface::getNumColumns | ( |  | ) | const
| pure virtual

Returns the total number of columns in the table.

## ◆ getCellHandler()

virtual const AccessibilityHandler * AccessibilityTableInterface::getCellHandler | ( | int | row,
|  | int | column
| ) |  | const
| pure virtual

Returns the AccessibilityHandler for one of the cells in the table, or nullptr if there is no cell at the specified position.

## ◆ getRowHandler()

virtual const AccessibilityHandler * AccessibilityTableInterface::getRowHandler | ( | int | row | ) | const
| pure virtual

Returns the AccessibilityHandler for a row in the table, or nullptr if there is no row at this index.

The row component should have a child component for each column in the table.

## ◆ getHeaderHandler()

virtual const AccessibilityHandler * AccessibilityTableInterface::getHeaderHandler | ( |  | ) | const
| pure virtual

Returns the AccessibilityHandler for the header, or nullptr if there is no header.

If you supply a header, it must have exactly the same number of children as there are columns in the table.

## ◆ getRowSpan()

virtual Optional< Span > AccessibilityTableInterface::getRowSpan | ( | const AccessibilityHandler & |  | ) | const
| pure virtual

Given the handler of one of the cells in the table, returns the rows covered by that cell, or null if the cell does not exist in the table.

This function replaces the getRowIndex and getRowSpan functions from AccessibilityCellInterface. Most of the time, it's easier for the table itself to keep track of cell locations, than to delegate to the individual cells.

## ◆ getColumnSpan()

virtual Optional< Span > AccessibilityTableInterface::getColumnSpan | ( | const AccessibilityHandler & |  | ) | const
| pure virtual

Given the handler of one of the cells in the table, returns the columns covered by that cell, or null if the cell does not exist in the table.

This function replaces the getColumnIndex and getColumnSpan functions from AccessibilityCellInterface. Most of the time, it's easier for the table itself to keep track of cell locations, than to delegate to the individual cells.

## ◆ showCell()

virtual void AccessibilityTableInterface::showCell | ( | const AccessibilityHandler & |  | ) | const
| pure virtual

Attempts to scroll the table (if necessary) so that the cell with the given handler is visible.

The documentation for this class was generated from the following file:

- juce_AccessibilityTableInterface.h